Page MenuHomePhabricator

[betalabs] Newcomer tasks: mobile - task explanation drawer is not present
Closed, ResolvedPublic

Description

@MMiller_WMF found the issue - it's betalabs regression; the info button works in production.

On betalabs cswiki mobile click on info button ("oo-ui-iconElement-icon oo-ui-icon-info" ) in Suggested edits module - nothing happens.

Expected result: (from wmf.14)

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : wmf/1.35.0-wmf.15Fix suggestededits drawer
mediawiki/extensions/GrowthExperiments : masterFix suggestededits drawer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2020, 11:18 PM
kostajh added a subscriber: kostajh.

Seems important to fix soon.

In wmf.14, clicking on the explanation icon shows this in the console:

Caller of Drawer should use onShow prop and append Drawer itself.
Please pass the onShow method to the Drawer
Please use the onShow method for scroll/close behaviour of Drawer

Whereas this doesn't show in wmf.15, so perhaps something was changed/removed upstream?

Tgr claimed this task.Jan 16 2020, 2:50 AM

Change 565188 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Fix suggestededits drawer

https://gerrit.wikimedia.org/r/565188

Change 565188 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Fix suggestededits drawer

https://gerrit.wikimedia.org/r/565188

Etonkovidova closed this task as Resolved.Jan 16 2020, 9:50 PM

Change 565695 had a related patch set uploaded (by Catrope; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Fix suggestededits drawer

https://gerrit.wikimedia.org/r/565695

Change 565695 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Fix suggestededits drawer

https://gerrit.wikimedia.org/r/565695

Mentioned in SAL (#wikimedia-operations) [2020-01-22T00:26:53Z] <catrope@deploy1001> Synchronized php-1.35.0-wmf.15/extensions/GrowthExperiments/: SWAT for T242811, T242052 (duration: 01m 05s)